GetbeelDocs
API referenceRecurring invoices

List recurring invoices, newest first

GET
/recurring-invoices

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Query Parameters

limit?integer

How many to return, 1–100 (default 100)

Range1 <= value <= 100
Default100

Header Parameters

Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Response Body

OK

application/json
  1. response
object*string
data*array<>
has_more*boolean
next_cursor*string|null
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/recurring-invoices'
Example Response
{  "object": "list",  "data": [    {      "object": "recurring_invoice",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "invoice_id": "string",      "interval": "monthly",      "next_date": "2026-10-29",      "active": true,      "auto_send": true,      "livemode": true,      "last_invoice_id": "string",      "last_run_at": "2019-08-24T14:15:22Z",      "last_error": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}